=== modified file 'bzrlib/tests/per_repository/test_statistics.py'
--- bzrlib/tests/per_repository/test_statistics.py	2011-04-02 21:43:42 +0000
+++ bzrlib/tests/per_repository/test_statistics.py	2011-09-09 12:19:35 +0000
@@ -38,12 +38,12 @@
         # now, in the same repository, asking for stats with/without the
         # committers flag generates the same date information.
         stats = tree.branch.repository.gather_stats(rev2, committers=False)
-        self.assertEqual({
-            'firstrev': (1170491381.0, 0),
-            'latestrev': (1171491381.0, 0),
-            'revisions': 3,
-            },
-            stats)
+        # this test explicitly only checks for certain keys
+        # in the dictionary, as implementations are allowed to
+        # provide arbitrary data in other keys.
+        self.assertEqual(stats['firstrev'], (1170491381.0, 0))
+        self.assertEqual(stats['latestrev'], (1171491381.0, 0))
+        self.assertEqual(stats['revisions'], 3)
         stats = tree.branch.repository.gather_stats(rev2, committers=True)
         self.assertEquals(2, stats["committers"])
         self.assertEquals((1170491381.0, 0), stats["firstrev"])

